/*
   program       : various

   $Source: /home/yee/C/RCS/fft.h,v $
   $Author: yee $
   $Date: 1998/08/22 15:37:39 $
   $Revision: 2.11 $

   Header file for Fast Fourier transform routine.

   Assumptions : none known

   Bugs : none known

   $Log: fft.h,v $
   Revision 2.11  1998/08/22 15:37:39  yee
   all geometries work!

   Revision 2.10  1997/06/14 13:35:53  yee
   added copyright notice.

   Revision 2.9  1997/06/14 05:07:46  yee
   cosmetic changes only.

   Revision 2.1  1996/09/24 20:54:49  yee
   fft() and nfft() now returns a pointer to data array.

   char rcs_id[]="$Id: fft.h,v 2.11 1998/08/22 15:37:39 yee Exp $";

   Copyright 1997 by Conway Yee.  All rights reserved.
 */
/*****************************************************************************/
/*****************************************************************************/

#include "mutil.h"
#include "style.h"
#include "codes.h"

#ifndef FFT_H
#define FFT_H

#ifdef FFTZP
#define FFT
#endif FFTZP

#if defined(DOUBLE) || defined(FFT_DOUBLE)  /* single vs. double precision */
#define FFT_COMPLEX lcomplex
#define FFT_FLOAT double
#else SINGLE
#define FFT_COMPLEX complex
#define FFT_FLOAT float
#endif /* single vs. double precision */

#ifdef RFFT
    PUBLIC FFT_FLOAT *rfft(int,FFT_FLOAT *,MODE);
#endif RFFT
#ifdef FFT
    PUBLIC FFT_COMPLEX *fft(int,FFT_COMPLEX *,MODE);
#endif FFT
#ifdef NFFT
    PUBLIC FFT_COMPLEX *nfft(int, int *, FFT_COMPLEX *,MODE);
#endif NFFT

#endif FFT_H
